*$ CREATE RFLCTV.FOR
*COPY RFLCTV
*
*=== Rflctv ===========================================================*
*
      DOUBLE PRECISION FUNCTION RFLCTV ( WVLNGT, OMGPHO, MMAT )

      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
      INCLUDE '(BEAMCM)'
      INCLUDE '(FHEAVY)'
      INCLUDE '(FLKSTK)'
      INCLUDE '(IOIOCM)'
      INCLUDE '(LTCLCM)'
      INCLUDE '(PAPROP)'
      INCLUDE '(SOURCM)'
      INCLUDE '(SUMCOU)'
      INCLUDE '(OPPHST)'
      INCLUDE '(TRACKR)'
      DOUBLE PRECISION A,B,C
      OPEN (1,FILE ="d.txt")
      OPEN (2,FILE ="S.txt")
	  
	  
*
*----------------------------------------------------------------------*
*                                                                      *
*     Copyright (C) 1998-2005      by    Alfredo Ferrari & Paola Sala  *
*     All Rights Reserved.                                             *
*                                                                      *
*                                                                      *
*     user defined 1 - ReFLeCTiVity:                                   *
*                                                                      *
*     Created on 19 september 1998 by    Alfredo Ferrari & Paola Sala  *
*                                                   Infn - Milan       *
*                                                                      *
*     Last change on 25-oct-02     by    Alfredo Ferrari               *
*                                                                      *
*                                                                      *
*----------------------------------------------------------------------*
*
      IF (MMAT .EQ. 9 ) THEN
         RFLCTV = ONEONE
      ELSE
         RFLCTV = ZERZER
      ENDIF
	  A = FLRNDM(XDUMMY)
	  C = (A * 2)-1
      TXOPPH (LSTOPP) = C
	  B = FLRNDM(YDUMMY)
	  C = (B * 2) -1
      TYOPPH (LSTOPP) = c
	  C = FLRNDM(ZDUMMY)
	  A = (C * 2) -1
      TZOPPH (LSTOPP) = C
	  WRITE (1,*) TKEFLK (NPFLKA)
	  WRITE (2,*) TZOPPH (LSTOPP)
      RETURN
*=== End of function Rflctv ===========================================*
      END


